
Base Distribution - Story # 10285

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2010-10-16 Assigned To:
Updated: 2011-05-05 Due date: 2010-10-07
Subject: As Roger, I want clean and extensible JavaScript Code
Description

this includes also the Breadcrumb Menu

Subtasks:
Task # 10466: Clean up module registration Resolved
Task # 10647: Get rid of eval() in DeletePageDialog.js Resolved
Task # 10366: Clean up Breadcrumb Menu Resolved
Task # 10478: Update JS Unit Tests to use YUI Test 3 Resolved
Task # 10388: Find the right place for JavaScript unit tests Resolved
Task # 10369: Add API Documentation to JavaScript files, and format them according to CGLs Resolved
Task # 10502: make sure the unit tests also run in WebKit browsers -- there seem to be ... Resolved
Task # 10611: Explore using JSON schema to document/test the registry. Resolved

History
#1 - 2010-10-16 10:46 - Sebastian Kurfuerst
- Target version set to 707

#2 - 2010-10-18 12:12 - Karsten Dambekalns
- Category set to JavaScript
- Status changed from New to Accepted
- Assigned To changed from Sebastian Kurfuerst to Rens Admiraal

#3 - 2010-10-20 12:22 - Sebastian Kurfuerst
- Target version changed from 707 to 711

#4 - 2010-10-21 10:28 - Sebastian Kurfuerst
- Tracker changed from Task to Story
- Assigned To deleted (Rens Admiraal)

#5 - 2010-10-21 10:44 - Sebastian Kurfuerst
- Position deleted (5481)
- Position set to 5468

#6 - 2010-10-21 10:45 - Sebastian Kurfuerst
- Subject changed from Clean up JavaScript to As Roger, I want clean JavaScript Code
- Position deleted (5468)
- Position set to 5468

#7 - 2010-10-21 10:45 - Sebastian Kurfuerst
- Subject changed from As Roger, I want clean JavaScript Code to As Roger, I want clean and extensible JavaScript Code
- Position deleted (5468)
- Position set to 5468

#8 - 2010-10-21 10:46 - Sebastian Kurfuerst
- Position deleted (5468)
- Position set to 3

#9 - 2010-11-24 13:00 - Robert Lemke
- Status changed from Accepted to Resolved

#10 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Category deleted (JavaScript)
- Target version deleted (711)
